import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:prepaid_lib_flutter/unik_lib_flutter.dart';

void main() {
  const MethodChannel channel = MethodChannel('unik_lib_flutter');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await UnikLibFlutter.platformVersion, '42');
  });
}
